Content.makeFrontInterface(338, 500);
//FX
const var MainComp = Synth.getEffect("MainComp");
const var MainGain = Synth.getEffect("MainGain");

const var LowEQ = Synth.getEffect("LowEQ");
const var LowComp = Synth.getEffect("LowComp");
const var LowGain = Synth.getEffect("LowGain");
const var LowPower = Synth.getEffect("LowPower");

const var MidEQ = Synth.getEffect("MidEQ");
const var MidComp = Synth.getEffect("MidComp");
const var MidGain = Synth.getEffect("MidGain");
const var MidPower = Synth.getEffect("MidPower");

const var HighEQ = Synth.getEffect("HighEQ");
const var HiComp = Synth.getEffect("HiComp");
const var HighGain = Synth.getEffect("HighGain");
const var HighPower = Synth.getEffect("HighPower");

const var ParaComp = Synth.getEffect("ParaComp");
const var ParaGain = Synth.getEffect("ParaGain");
const var ParaPower = Synth.getEffect("ParaPower");

const var Shaper = Synth.getEffect("Shaper");
const var ShaperGain = Synth.getEffect("ShaperGain");
const var ShaperPower = Synth.getEffect("ShaperPower");

//KNOBS
const var Mainknb = Content.getComponent("Mainknb");
const var Ratio1 = Content.getComponent("Ratio1");
const var Ratio2 = Content.getComponent("Ratio2");
const var Ratio3 = Content.getComponent("Ratio3");
const var Ratio4 = Content.getComponent("Ratio4");
const var Ratio5 = Content.getComponent("Ratio5");


//Effect
inline function onMainknbControl(component, value)
{
	local normalizedValue = component.getValueNormalized();

	//Main Comp
		Ratio1.setValue(value * 4);
		Ratio1.changed();
		
		MainComp.setAttribute(MainComp.CompressorThreshold, normalizedValue * -24);
		MainGain.setAttribute(MainGain.Gain, (normalizedValue * 5) - 0);
		
	//Low Comp
		Ratio2.setValue(value * 2);
		Ratio2.changed();
		
		LowComp.setAttribute(LowComp.CompressorThreshold, normalizedValue * -20);
		LowGain.setAttribute(LowGain.Gain, (normalizedValue * 7) - 0);
		
	//Mid Comp
		Ratio3.setValue(value * 3);
		Ratio3.changed();
		
		MidComp.setAttribute(MidComp.CompressorThreshold, normalizedValue * -22);
		MidGain.setAttribute(MidGain.Gain, (normalizedValue * 0) - 0);
		
	//High Comp
		Ratio4.setValue(value * 2.5);
		Ratio4.changed();
		
		HiComp.setAttribute(HiComp.CompressorThreshold, normalizedValue * -20);
		HighGain.setAttribute(HighGain.Gain, (normalizedValue * 10) - 0);
		
	//Parallel Comp
		Ratio5.setValue(value * 4);
		Ratio5.changed();
		
		ParaComp.setAttribute(ParaComp.CompressorThreshold, normalizedValue * -30);
		ParaGain.setAttribute(ParaGain.Gain, (normalizedValue * 10) - 0);
		
	//Shaper
	Shaper.setAttribute(Shaper.Gain, (normalizedValue * 19) - 0);
	

};

Content.getComponent("Mainknb").setControlCallback(onMainknbControl);

function onNoteOn()
{
	
}
 function onNoteOff()
{
	
}
 function onController()
{
	
}
 function onTimer()
{
	
}
 function onControl(number, value)
{
	
}
 